#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/label.h>
#include <inti/gtk/spinbutton.h>
#include <inti/gtk/checkbutton.h>

using namespace Inti;

class SpinButtonWindow : public Gtk::Window
{
	Gtk::SpinButton *spinner1;
	Gtk::Label *val_label;

protected:
	void on_change_digits(Gtk::SpinButton *spin);
	void on_toggle_snap(Gtk::CheckButton *button);
	void on_toggle_numeric(Gtk::CheckButton *button);
	void on_get_value(bool value_as_int);

public:
	SpinButtonWindow();
	virtual ~SpinButtonWindow();
};


